import * as React from 'react';
export function formatErrorWithResult(error, result) {
    return (React.createElement("div", null,
        "Error:",
        React.createElement("pre", null, error.stack ? error.stack : error.message),
        "Final code:",
        React.createElement("pre", null, result.code),
        result.transpiled
            ? 'The code was transpiled'
            : 'The code was not transpiled',
        "."));
}
export function formatImportError(error, module) {
    return (React.createElement("div", null,
        "Error when importing ",
        React.createElement("code", null, module),
        ":",
        React.createElement("pre", null, error.stack ? error.stack : error.message)));
}
