/// <reference types="requirejs" />
export interface IRequireJS {
    readonly require: Require;
    readonly define: RequireDefine;
}
/**
 * Load requirejs in an iframe to avoid polution of `window` object.
 */
export declare function loadInIsolated(source: string): Promise<IRequireJS>;
export declare class RequireJSLoader {
    load(): Promise<IRequireJS>;
}
