import * as React from 'react';
export function formatCDNConsentDialog(moduleName, url) {
    return (React.createElement("div", null,
        React.createElement("p", null,
            moduleName,
            " is not a part of the distribution and needs to be downloaded before execution."),
        React.createElement("p", null,
            "The current CDN URL is: ",
            url),
        React.createElement("p", null, "You should only allow to execute code from CDN if:"),
        React.createElement("ul", null,
            React.createElement("li", null, "you fully trust the CDN provider AND your internet service provider AND your network administrator AND their ability to immediately remedy any attack against the network, or"),
            React.createElement("li", null, "you verified the integrity of the package by defining a cryptographic hash for verification via SRI feature [support to be implemented]")),
        React.createElement("p", null, "You can abort execution and change the CDN URL in the settings first.")));
}
