import * as jupyter_widgets_base from '@jupyter-widgets/base';
import * as jupyterlab_application from '@jupyterlab/application';
import * as jupyterlab_apputils from '@jupyterlab/apputils';
import * as jupyterlab_codeeditor from '@jupyterlab/codeeditor';
import * as jupyterlab_codemirror from '@jupyterlab/codemirror';
import * as jupyterlab_completer from '@jupyterlab/completer';
import * as jupyterlab_console from '@jupyterlab/console';
import * as jupyterlab_coreutils from '@jupyterlab/coreutils';
import * as jupyterlab_debugger from '@jupyterlab/debugger';
import * as jupyterlab_docmanager from '@jupyterlab/docmanager';
import * as jupyterlab_docprovider from '@jupyterlab/docprovider';
import * as jupyterlab_docregistry from '@jupyterlab/docregistry';
import * as jupyterlab_documentsearch from '@jupyterlab/documentsearch';
import * as jupyterlab_extensionmanager from '@jupyterlab/extensionmanager';
import * as jupyterlab_filebrowser from '@jupyterlab/filebrowser';
import * as jupyterlab_fileeditor from '@jupyterlab/fileeditor';
import * as jupyterlab_imageviewer from '@jupyterlab/imageviewer';
import * as jupyterlab_inspector from '@jupyterlab/inspector';
import * as jupyterlab_launcher from '@jupyterlab/launcher';
import * as jupyterlab_logconsole from '@jupyterlab/logconsole';
import * as jupyterlab_mainmenu from '@jupyterlab/mainmenu';
import * as jupyterlab_markdownviewer from '@jupyterlab/markdownviewer';
import * as jupyterlab_notebook from '@jupyterlab/notebook';
import * as jupyterlab_outputarea from '@jupyterlab/outputarea';
import * as jupyterlab_rendermime from '@jupyterlab/rendermime';
import * as jupyterlab_rendermime_interfaces from '@jupyterlab/rendermime-interfaces';
import * as jupyterlab_services from '@jupyterlab/services';
import * as jupyterlab_settingeditor from '@jupyterlab/settingeditor';
import * as jupyterlab_settingregistry from '@jupyterlab/settingregistry';
import * as jupyterlab_shared_models from '@jupyterlab/shared-models';
import * as jupyterlab_statedb from '@jupyterlab/statedb';
import * as jupyterlab_statusbar from '@jupyterlab/statusbar';
import * as jupyterlab_terminal from '@jupyterlab/terminal';
import * as jupyterlab_toc from '@jupyterlab/toc';
import * as jupyterlab_tooltip from '@jupyterlab/tooltip';
import * as jupyterlab_translation from '@jupyterlab/translation';
import * as jupyterlab_ui_components from '@jupyterlab/ui-components';
import * as lumino_algorithm from '@lumino/algorithm';
import * as lumino_application from '@lumino/application';
import * as lumino_commands from '@lumino/commands';
import * as lumino_coreutils from '@lumino/coreutils';
import * as lumino_datagrid from '@lumino/datagrid';
import * as lumino_disposable from '@lumino/disposable';
import * as lumino_domutils from '@lumino/domutils';
import * as lumino_dragdrop from '@lumino/dragdrop';
import * as lumino_messaging from '@lumino/messaging';
import * as lumino_properties from '@lumino/properties';
import * as lumino_signaling from '@lumino/signaling';
import * as lumino_virtualdom from '@lumino/virtualdom';
import * as lumino_widgets from '@lumino/widgets';
import * as react from 'react';
import * as react_dom from 'react-dom';
export declare const modules: {
    '@jupyter-widgets/base': typeof jupyter_widgets_base;
    '@jupyterlab/application': typeof jupyterlab_application;
    '@jupyterlab/apputils': typeof jupyterlab_apputils;
    '@jupyterlab/codeeditor': typeof jupyterlab_codeeditor;
    '@jupyterlab/codemirror': typeof jupyterlab_codemirror;
    '@jupyterlab/completer': typeof jupyterlab_completer;
    '@jupyterlab/console': typeof jupyterlab_console;
    '@jupyterlab/coreutils': typeof jupyterlab_coreutils;
    '@jupyterlab/debugger': typeof jupyterlab_debugger;
    '@jupyterlab/docmanager': typeof jupyterlab_docmanager;
    '@jupyterlab/docprovider': typeof jupyterlab_docprovider;
    '@jupyterlab/docregistry': typeof jupyterlab_docregistry;
    '@jupyterlab/documentsearch': typeof jupyterlab_documentsearch;
    '@jupyterlab/extensionmanager': typeof jupyterlab_extensionmanager;
    '@jupyterlab/filebrowser': typeof jupyterlab_filebrowser;
    '@jupyterlab/fileeditor': typeof jupyterlab_fileeditor;
    '@jupyterlab/imageviewer': typeof jupyterlab_imageviewer;
    '@jupyterlab/inspector': typeof jupyterlab_inspector;
    '@jupyterlab/launcher': typeof jupyterlab_launcher;
    '@jupyterlab/logconsole': typeof jupyterlab_logconsole;
    '@jupyterlab/mainmenu': typeof jupyterlab_mainmenu;
    '@jupyterlab/markdownviewer': typeof jupyterlab_markdownviewer;
    '@jupyterlab/notebook': typeof jupyterlab_notebook;
    '@jupyterlab/outputarea': typeof jupyterlab_outputarea;
    '@jupyterlab/rendermime': typeof jupyterlab_rendermime;
    '@jupyterlab/rendermime-interfaces': typeof jupyterlab_rendermime_interfaces;
    '@jupyterlab/services': typeof jupyterlab_services;
    '@jupyterlab/settingeditor': typeof jupyterlab_settingeditor;
    '@jupyterlab/settingregistry': typeof jupyterlab_settingregistry;
    '@jupyterlab/shared-models': typeof jupyterlab_shared_models;
    '@jupyterlab/statedb': typeof jupyterlab_statedb;
    '@jupyterlab/statusbar': typeof jupyterlab_statusbar;
    '@jupyterlab/terminal': typeof jupyterlab_terminal;
    '@jupyterlab/toc': typeof jupyterlab_toc;
    '@jupyterlab/tooltip': typeof jupyterlab_tooltip;
    '@jupyterlab/translation': typeof jupyterlab_translation;
    '@jupyterlab/ui-components': typeof jupyterlab_ui_components;
    '@lumino/algorithm': typeof lumino_algorithm;
    '@lumino/application': typeof lumino_application;
    '@lumino/commands': typeof lumino_commands;
    '@lumino/coreutils': typeof lumino_coreutils;
    '@lumino/datagrid': typeof lumino_datagrid;
    '@lumino/disposable': typeof lumino_disposable;
    '@lumino/domutils': typeof lumino_domutils;
    '@lumino/dragdrop': typeof lumino_dragdrop;
    '@lumino/messaging': typeof lumino_messaging;
    '@lumino/properties': typeof lumino_properties;
    '@lumino/signaling': typeof lumino_signaling;
    '@lumino/virtualdom': typeof lumino_virtualdom;
    '@lumino/widgets': typeof lumino_widgets;
    react: typeof react;
    'react-dom': typeof react_dom;
};
